package com.persagy.adm.server.delivery.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.persagy.adm.server.delivery.dao.BossSkuDictRelMapper;
import com.persagy.adm.server.delivery.entity.BossSkuDictRel;
import com.persagy.adm.server.delivery.service.BossSkuDictRelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * BOSS商品-BDTP类型映射关系
 * @author:linhuili
 * @date:2022/1/19
 */
@Service
public class BossSkuDictRelServiceImpl implements BossSkuDictRelService {

    @Autowired
    private BossSkuDictRelMapper boosSkuDictRelMapper;

    /**
     * 条件查询BOSS-BDTP商品映射关系
     * @param queryWrapper 查询条件
     * @return
     */
    @Override
    public List<BossSkuDictRel> queryByCondition(Wrapper<BossSkuDictRel> queryWrapper) {
        return boosSkuDictRelMapper.selectList(queryWrapper);
    }
}
